
/**
Stellt einen Regentropfen in seinen verschiedenen Phasen dar.

- author: Albert Wiedemann
- version: 1.0
 */
class RegenTropfen: Figur
{
    /**
    Stellt den Regentropfen im Fall dar
    */
    func FigurTropfenFestlegen()
    {
        self.EigeneFigurLöschen()
        self.FigurteilFestlegenDreieck(x1: -50, y1: 0, x2: 30, y2: -30, x3: 30, y3: 30, farbe: "blau")
        self.FigurteilFestlegenEllipse(x: 10, y: -30, breite: 40, höhe: 60, farbe: "blau")
    }

    /**
    Stellt den Regentropfen während des Aufpralls dar
    */
    func FlachWerden()
    {
        self.EigeneFigurLöschen()
        self.FigurteilFestlegenDreieck(x1: -50, y1: 0, x2: 30, y2: -30, x3: 30, y3: 30, farbe: "blau")
        self.FigurteilFestlegenRechteck(x: 30, y: -45, breite: 15, höhe: 90, farbe: "blau")
    }

    /**
    Stellt den Regentropfen als Pfütze dar
    */
    func PfützeWerden()
    {
        self.EigeneFigurLöschen()
        self.FigurteilFestlegenRechteck(x: 30, y: -45, breite: 15, höhe: 90, farbe: "blau")
    }

//#-editable-code



//#-end-editable-code
}

//#-editable-code
let tropfen = RegenTropfen()
//tropfen.FigurTropfenFestlegen()
//tropfen.FlachWerden()
tropfen.PfützeWerden()
//#-end-editable-code
        
